GET /blockscout/smart-contracts

Query Parameters

q string optional query
Example: "proxy"
filter string optional query
Example: "vyper | solidity | yul"

Responses

200 Smart Contract
application/json
items object[] REQUIRED
Array of:
address object REQUIRED
hash string REQUIRED
implementation_name string REQUIRED
name string REQUIRED
ens_domain_name string
metadata object
is_contract boolean REQUIRED
private_tags object[] REQUIRED
Array of:
address_hash string REQUIRED
display_name string REQUIRED
label string REQUIRED
watchlist_names object[] REQUIRED
Array of:
display_name string REQUIRED
label string REQUIRED
public_tags object[] REQUIRED
Array of:
address_hash string REQUIRED
display_name string REQUIRED
label string REQUIRED
is_verified boolean REQUIRED
coin_balance string REQUIRED
compiler_version string REQUIRED
language string REQUIRED
has_constructor_args boolean REQUIRED
optimization_enabled boolean REQUIRED
transaction_count integer
verified_at string REQUIRED
market_cap number
next_page_params object REQUIRED
400 Bad Input Parameter
curl -X GET 'https://data-api.b3.fun//blockscout/smart-contracts'
const response = await fetch('https://data-api.b3.fun//blockscout/smart-contracts', {  method: 'GET'});const data = await response.json();console.log(data);
import requestsresponse = requests.get('https://data-api.b3.fun//blockscout/smart-contracts')print(response.json())
200 Response
{  "items": [    {      "address": {        "hash": "0xEb533ee5687044E622C69c58B1B12329F56eD9ad",        "implementation_name": "implementationName",        "name": "contractName",        "ens_domain_name": "domain.eth",        "metadata": {          "slug": "tag_slug",          "name": "Tag name",          "tagType": "name",          "ordinal": 0,          "meta": {}        },        "is_contract": true,        "private_tags": [          {            "address_hash": {},            "display_name": {},            "label": {}          }        ],        "watchlist_names": [          {            "display_name": {},            "label": {}          }        ],        "public_tags": [          {            "address_hash": {},            "display_name": {},            "label": {}          }        ],        "is_verified": true      },      "coin_balance": "10000",      "compiler_version": "v0.5.10+commit.5a6ea5b1",      "language": "vyper | yul | solidity",      "has_constructor_args": true,      "optimization_enabled": true,      "transaction_count": 123,      "verified_at": "2022-03-05T11:40:29.087000Z",      "market_cap": 1000000000.0001    }  ],  "next_page_params": {    "items_count": 50,    "smart_contract_id": 46  }}
Ask a question... ⌘I